gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. An object to represent the possible attributes of text in a System.ValueType
- Field
  Gtk.TextAttributes No attributes at all.
- Method
  Gtk.TextAttributes Public constructor. A new
- Method
  Gtk.TextAttributes `` Constructor for internal use only. An , a pointer to the C object. a new
- Method
  System.Void Increments the reference count.
- Method
  System.Void `` Copy the values in this object to and free the values in this object.. A new
- Method
  Gtk.TextAttributes Makes a new copy of this object. A new FIXME: elaborate the difference between this and Copy, and see if the differences in the underlying C library carry over to the C# library
- Method
  System.Void Decrements the reference count for this object, freeing the underlying C data structure if the refcount reaches 0.
- Property
  Pango.Language The language of this text. a a
- Property
  Pango.TabArray The tab stops for this text. a a
- Property
  Pango.FontDescription The font for this text. a a
- Property
  GLib.GType GType Property. a Returns the native value for .
- Field
  System.UInt32 The reference count for this object.
- Field
  Gtk.TextAppearance The appearance of this text: colors, underlining, etc. See for more details.
- Field
  Gtk.Justification The justification of this text.
- Field
  Gtk.TextDirection Whether this text runs right-to-left or left-to-right.
- Field
  System.Double The scale of this text. For more information about font scaling, see
- Field
  System.Int32 The size of the left margin.
- Field
  System.Int32 The size of the indent.
- Field
  System.Int32 The size of the right margin.
- Field
  System.Int32 The number of blank pixels above a line of text.
- Field
  System.Int32 The number of blank pixels below a line of text.
- Field
  System.Int32 The number of pixels between wrapped lines.
- Field
  Gtk.WrapMode The line-wrapping style for this text.